package notifications

import (
	messaging "github.com/tech/sendico/pkg/messaging/envelope"
	tinternal "github.com/tech/sendico/pkg/messaging/internal/notifications/telegram"
	np "github.com/tech/sendico/pkg/messaging/notifications/processor"
	ch "github.com/tech/sendico/pkg/messaging/notifications/telegram/handler"
	"github.com/tech/sendico/pkg/mlogger"
	"github.com/tech/sendico/pkg/model"
)

func TelegramReaction(sender string, request *model.TelegramReactionRequest) messaging.Envelope {
	return tinternal.NewTelegramReactionEnvelope(sender, request)
}

func NewTelegramReactionProcessor(logger mlogger.Logger, handler ch.TelegramReactionHandler) np.EnvelopeProcessor {
	return tinternal.NewTelegramReactionProcessor(logger, handler)
}
